<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.2) on Mon Dec 28 23:27:42 EST 2020 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-12-28">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="all-classes-index">
<script type="text/javascript">var data = {"i0":2,"i1":2,"i2":2,"i3":1,"i4":2,"i5":2,"i6":2,"i7":2,"i8":2,"i9":2,"i10":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<div class="typeSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="typeSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Classes</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Interface Summary</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Class Summary</button></div>
<div id="typeSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><a href="spellingbee/network/Client.html" title="class in spellingbee.network">Client</a></td>
<th class="colLast" scope="row">
<div class="block">This class is used to create a connection with a server.</div>
</th>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><a href="spellingbee/client/ClientApp.html" title="class in spellingbee.client">ClientApp</a></td>
<th class="colLast" scope="row">
<div class="block">Date 2020-12-28
 This class makes a connection with server</div>
</th>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><a href="spellingbee/client/tabs/GameTab.html" title="class in spellingbee.client.tabs">GameTab</a></td>
<th class="colLast" scope="row">
<div class="block">Date 2020-12-28
 This class contains everything about the spellingbee game from the client side</div>
</th>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><a href="spellingbee/server/ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></td>
<th class="colLast" scope="row">
<div class="block">Date 2020-12-28
 This interface is for useful to switch betwenn spellingbee games</div>
</th>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><a href="spellingbee/client/tabs/events/LettersEvent.html" title="class in spellingbee.client.tabs.events">LettersEvent</a></td>
<th class="colLast" scope="row">
<div class="block">Date 2020-12-28
 This class contains everything about the spellingbee game from the client side</div>
</th>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><a href="spellingbee/client/tabs/ScoreTab.html" title="class in spellingbee.client.tabs">ScoreTab</a></td>
<th class="colLast" scope="row">
<div class="block">Date 2020-12-28
 This class contains everything about the scores (Did not do much as it was the job of obi-wan)</div>
</th>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><a href="spellingbee/network/Server.html" title="class in spellingbee.network">Server</a></td>
<th class="colLast" scope="row">
<div class="block">A class created to handle the Server code.</div>
</th>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><a href="spellingbee/network/ServerController.html" title="class in spellingbee.network">ServerController</a></td>
<th class="colLast" scope="row">
<div class="block">This class will run on the server side and is used to connect the server code to the backend business code.</div>
</th>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><a href="spellingbee/server/SimpleSpellingBeeGame.html" title="class in spellingbee.server">SimpleSpellingBeeGame</a></td>
<th class="colLast" scope="row">
<div class="block">Date 2020-12-28
 This class hold all information regarding the spellingbee game
 It is on the server side</div>
</th>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><a href="spellingbee/client/SpellingBeeClient.html" title="class in spellingbee.client">SpellingBeeClient</a></td>
<th class="colLast" scope="row">
<div class="block">Date 2020-12-28
 This class is the application client</div>
</th>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><a href="spellingbee/client/tabs/events/SubmitEvent.html" title="class in spellingbee.client.tabs.events">SubmitEvent</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
